Gecode::Int::IdxView< View > Class Template Reference

Class for pair of index and view. More...

`#include <idx-view.hh>`

## Static Public Member Functions

static IdxView * | allocate (Space &home, int n)
| Allocate memory for n index-view pairs.

## Public Attributes

int | idx
| The index.
View | view
| Thhe view.

## Detailed Description

template<class View>
class Gecode::Int::IdxView< View >

Class for pair of index and view.

Definition at line 48 of file idx-view.hh.

## Member Function Documentation

## allocate()

template<class View>

IdxView< View > * Gecode::Int::IdxView< View >::allocate | ( | Space & | home,
|  | int | n )

inline static

Allocate memory for n index-view pairs.

Definition at line 67 of file idx-view.hpp.

## Member Data Documentation

## idx

template<class View>

int Gecode::Int::IdxView< View >::idx

The index.

Definition at line 51 of file idx-view.hh.

## view

template<class View>

View Gecode::Int::IdxView< View >::view

Thhe view.

Definition at line 53 of file idx-view.hh.

The documentation for this class was generated from the following files:

- gecode/int/idx-view.hh
- gecode/int/idx-view.hpp